{
  "schema_version": "1.4.0",
  "id": "GHSA-x6mv-pcvr-j73m",
  "modified": "2025-04-11T03:47:17Z",
  "published": "2022-05-17T05:41:08Z",
  "aliases": [
    "CVE-2011-2168"
  ],
  "details": "Multiple integer overflows in the glob implementation in libc in OpenBSD before 4.9 might allow context-dependent attackers to have an unspecified impact via a crafted string, related to the GLOB_APPEND and GLOB_DOOFFS flags, a different issue than CVE-2011-0418.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-2168"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/achievement_securityalert/97"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/cgi-bin/cvsweb/src/lib/libc/gen/glob.c#rev1.35"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/cgi-bin/cvsweb/src/lib/libc/gen/glob.c.diff?r1=1.34%3Br2=1.35%3Bf=h"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/cgi-bin/cvsweb/src/lib/libc/gen/glob.c.diff?r1=1.34;r2=1.35;f=h"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/48004"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-05-24T23:55:00Z"
  }
}